#include "iohtk.h"

int WriteHtkHeader(FILE* fp, HTKHeader* header)
{
  size_t nWritten;

  if (fp <= 0 || header == NULL)
    return -1;

  nWritten = fwrite(&(header->n_samples), sizeof(header->n_samples), 1, fp);
  if (nWritten != 1)
    return -1;

  nWritten = fwrite(&(header->sample_period), sizeof(header->sample_period), 1, fp);
  if (nWritten != 1)
    return -1;

  nWritten = fwrite(&(header->sample_size), sizeof(header->sample_size), 1, fp);
  if (nWritten != 1)
    return -1;

  nWritten = fwrite(&(header->sample_kind), sizeof(header->sample_kind), 1, fp);
  if (nWritten != 1)
    return -1;

  return 0;
}
