#ifndef IOHTK_H_INCLUDED
#define IOHTK_H_INCLUDED
#include <stdio.h>
#include <stdint.h>

// HTK File Header
typedef struct _HTKHeader {
    int32_t  n_samples;
    int32_t  sample_period;
    int16_t sample_size;
    int16_t sample_kind;
} HTKHeader;

int WriteHtkHeader(FILE* fp, HTKHeader* header);




#endif // IOHTK_H_INCLUDED
